Kerbal Space Program - Bug #22686

Space Center becomes unresponsive and unnavigable after recovering part
05/30/2019 06:46 PM - ScarySheep

Status: Need More Info Start date: 05/30/2019
Severity: Low % Done: 0%
Assignee: Robert.Keech
Category: Controls and Ul
Target version:
Version: 1.71 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

After recovering a part visible on the space center view, the buildings all have become unclickable and there are no Ul icons for the
individual buildings. This is an entirely unupgraded space center. The game is not crashed or frozen. | can still scroll around and
access the esc options menu. | just can't play the game and my new save appears ruined.

History

#1 - 05/31/2019 07:33 PM - m_creech

| can confirm this has been a minor issue going back several versions.

The cause seems to be clicking "recover" too quickly on multiple debris items. The recovery dialog box will very briefly open and close after debris is
recovered, but it is possible to select & click recover on the next piece before that cycle completes. The error appears to originate from that.

Possible fix: Open Debug Toolbar (Alt+F12), under Console dropdown select Input Locks, click "Clear Input Locks". If this is the same issue | have
had, that will clear the jam.

#2 - 11/08/2019 02:55 PM - Robert.Keech

- Status changed from New to Need More Info

Trying to reproduce in 1.8.1 and | am unable too
Could you please retest this is 1.8.1 and confirm if this still occurs and record a video of this happening is possible.

#3 - 11/08/2019 02:56 PM - Robert.Keech

- Assignee set to Robert.Keech

#4 - 03/13/2020 05:38 AM - MisterDoctor

Definitely still an issue. | thought | could make it happen by clicking outside of the recovery window, but | can't seem to get it to happen on purpose. Is
it possible that you could either make a hotkey that toggles the buildings Ul, or add a check somewhere to make sure it's active? Maybe in the pause
menu, or when the mouse clicks the screen. Or even something in the debug menu "force buildings UI". Then it wouldn't matter anymore if it gets
stuck turned off as long as we can turn it back on again.

When this happens, it persists even through loading a save from another playthrough. The only thing that resets it (that I've found) is exiting the
game.

#5 - 03/17/2020 02:06 AM - MisterDoctor

(actually didn't notice it was already said that it was fixable from debug menu)
